commit:     139f8bdf72a2541e5dda0b254a3289f5e147356c
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Fri Jun 13 17:59:43 2025 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Fri Jun 13 19:00:41 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=139f8bdf

app-emacs/corfu: bump to 2.3

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 app-emacs/corfu/Manifest         |  1 +
 app-emacs/corfu/corfu-2.3.ebuild | 46 ++++++++++++++++++++++++++++++++++++++++
 2 files changed, 47 insertions(+)

diff --git a/app-emacs/corfu/Manifest b/app-emacs/corfu/Manifest
index 5fc88a2ca228..eb9b8707dac2 100644
--- a/app-emacs/corfu/Manifest
+++ b/app-emacs/corfu/Manifest
@@ -1,2 +1,3 @@
 DIST corfu-2.1.gh.tar.gz 51522 BLAKE2B 
4c9dcc18d707d706e28074c2cc389d47fad79175cb2d45ceb51e8cbef03af4009a2e25a02f177cb786b4b3de7fcd9e56a077eb6f4a0d02457de9534c3d00ccf9
 SHA512 
5a94feeafaa5cbf40abf664fbea89895ef685ca5b6a68db961348f308b3a932c1aafba785fa3fc2fe3cb643a5c1c45555e1bdd1cde4600f3e5f841084ec2d509
 DIST corfu-2.2.gh.tar.gz 52693 BLAKE2B 
2f4771a277087f4e7828a46a43295c145815a732e6441edea0a4338a9128e956d4d337e6e7667554a098036856de5f5f24035eee374e802f4c7fc502b4cf7015
 SHA512 
8ec3c448b68d35d2f735397aa50f20687be91f97a26b8ba041c169098c4a6fe90aa8f0e134a6188afc572fe13901a6d33de3f89ea8be7d805bcaea85accd66b7
+DIST corfu-2.3.gh.tar.gz 52825 BLAKE2B 
c09f7fe0b464f99cda610031adb6ed77b9c2a483b7c3bde7df6862bb5ffecbe14fbc06e5947e9280e7137e59c0c0a78f51ba30735add47c04f914b96a0efa5ee
 SHA512 
b73f70bea498fde974546aeb3ef348985eb9efa81b74dbe7509ab64ac782c8265a68a88ddb796563562a942f8f768e9e65d2123ed9495a6c992da97be3c7ab8a

diff --git a/app-emacs/corfu/corfu-2.3.ebuild b/app-emacs/corfu/corfu-2.3.ebuild
new file mode 100644
index 000000000000..cc51ec08a583
--- /dev/null
+++ b/app-emacs/corfu/corfu-2.3.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+NEED_EMACS="28.1"
+
+inherit elisp
+
+DESCRIPTION="Completion Overlay Region FUnction"
+HOMEPAGE="https://github.com/minad/corfu/";
+
+if [[ "${PV}" == *9999* ]] ; then
+       inherit git-r3
+
+       EGIT_REPO_URI="https://github.com/minad/${PN}";
+else
+       SRC_URI="https://github.com/minad/${PN}/archive/${PV}.tar.gz
+               -> ${P}.gh.tar.gz"
+
+       KEYWORDS="~amd64 ~arm64 ~x86"
+fi
+
+LICENSE="GPL-3+"
+SLOT="0"
+
+RDEPEND="
+       >=app-emacs/compat-30.1.0.0
+"
+BDEPEND="
+       ${RDEPEND}
+"
+
+DOCS=( README.org )
+SITEFILE="50${PN}-gentoo.el"
+
+src_prepare() {
+       default
+
+       mv ./extensions/*.el . || die
+}
+
+src_compile() {
+       elisp_src_compile
+       elisp-make-autoload-file
+}

Reply via email to